<ActionBar>
    <Label text="Tienda Virtual"></Label>

</ActionBar>


<StackLayout backgroundColor="#DAF7A6">
    <Label textAlignment="center" text="Categorías" class="fas titul_big"></Label>
    <Button text="Regresar..." [nsRouterLink]="['/tienda']" pageTransition="slideRight"></Button>
    <Button text="Leer categorías" (tap)="obtenerTodos()"></Button>


    <StackLayout >
        <ListView height="150" [items]="categorias" (itemTap)="onItemTap($event)" class="list-group">
            <ng-template let-item="item" let-i="index" let-odd="odd" let-even="even">
                <GridLayout columns="30, *, 35, auto">
                    <Label [text]="item.id" col="0" class="fas list-group-item"></Label>
                    <Label [text]="item.nombre_cat" col="1" class="fas list-group-item"></Label>
                    <Label text="&#xf2ed;" col="2" class="far list-group-item" (tap)="eliminarCat(item)"></Label>
                    <Label text="&#xf044;" col="3" class="far list-group-item" (tap)="editarCat(item)"></Label>
                </GridLayout>
            </ng-template>
        </ListView>
    </StackLayout>

    <Button text="Crear categoría" (tap)="agregarCat()" class="-primary"></Button>

</StackLayout>
